2021-04-17 14:49 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0000810FSSCPgameplaypublic2012-01-09 13:06
Reporterthesource2 
Assigned Totaylor 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000810: Ghost ships in red alert missions
DescriptionIf in some mission your wingman dies and than red alert occures, this wingman will reappear in next mission with 0 health and not moving but alive! Red alert carry status option does not help. This bug presents since original fs2 and I'm surprised no one reported it yet. I actually thought it has fixed long ago.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0006771

Goober5000 (administrator)

Try taylor's RC7dot8 build. This should be fixed.

~0006774

thesource2 (reporter)

Negative. Bug still there. See the attached screenshot

~0006775

taylor (administrator)

Got some missions that I can test with? I can't seem to replicate this otherwise.

~0006776

thesource2 (reporter)

Attaching main campaign final mission (modified) and my pilot files with main campaign finished

~0006777

taylor (administrator)

Uhhh, hmmm. Well, the problem is pretty obvious (and I have no idea why I've never seen this before) but I have absolutely no idea what :V: was thinking there.

The issue comes from red_alert_bash_wingman_status(), which will keep destroyed/departed ships rather than filter them out like it's supposed to. It actually restores the hull for these ships (but the ship model remains wrong) for some reason. The strange thing is that most of the comments totally contradict when the code is actually doing. This fix would be easy, but I'd rather run it by Goober before making a change (it's just so obvious of a problem/solution that changing it worries me ;)).

~0006817

taylor (administrator)

Fixed in CVS. Goober may reopen this if he doesn't like my changes though.


Fixered.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2006-02-17 10:50 thesource2 New Issue
2006-10-01 21:39 Goober5000 Note Added: 0006771
2006-10-02 06:25 thesource2 File Added: ghost_fighter.JPG
2006-10-02 06:26 thesource2 Note Added: 0006774
2006-10-02 06:39 taylor Note Added: 0006775
2006-10-02 06:45 thesource2 File Added: sm3-10.fs2
2006-10-02 06:47 thesource2 File Added: single_player.rar
2006-10-02 06:48 thesource2 Note Added: 0006776
2006-10-02 07:58 taylor Note Added: 0006777
2006-10-05 11:20 taylor Status new => assigned
2006-10-05 11:20 taylor Assigned To => taylor
2006-10-06 04:43 taylor Status assigned => resolved
2006-10-06 04:43 taylor Resolution open => fixed
2006-10-06 04:43 taylor Note Added: 0006817
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 fs2_open_3_6_9 r3621
2012-01-05 17:55 taylor Changeset attached => Import 2012-01-05 17:52:05 trunk r3623
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn fs2_open_3_6_9 r3621
2012-01-09 13:06 taylor Changeset attached => fs2open_websvn trunk r3623
+Issue History